<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: dlib::is_convertible&lt; from, type_safe_union&lt; T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12, T13, T14, T15, T16, T17, T18, T19, T20 &gt; &gt; Struct Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacedlib.html">dlib</a></li><li class="navelem"><a class="el" href="structdlib_1_1is__convertible_3_01from_00_01type__safe__union_3_01_t1_00_01_t2_00_01_t3_00_01_t42bd65837f451239178a2c547b784b2cf.html">is_convertible&lt; from, type_safe_union&lt; T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12, T13, T14, T15, T16, T17, T18, T19, T20 &gt; &gt;</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-static-attribs">Static Public Attributes</a> &#124;
<a href="structdlib_1_1is__convertible_3_01from_00_01type__safe__union_3_01_t1_00_01_t2_00_01_t3_00_01_t4c458d97dbf8e60f04c17b1aed3429479.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">dlib::is_convertible&lt; from, type_safe_union&lt; T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12, T13, T14, T15, T16, T17, T18, T19, T20 &gt; &gt; Struct Template Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-attribs"></a>
Static Public Attributes</h2></td></tr>
<tr class="memitem:a8457374675c11aa3f964549c74ded6f7"><td class="memItemLeft" align="right" valign="top">static const bool&#160;</td><td class="memItemRight" valign="bottom"><b>value</b></td></tr>
<tr class="separator:a8457374675c11aa3f964549c74ded6f7"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a8457374675c11aa3f964549c74ded6f7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8457374675c11aa3f964549c74ded6f7">&#9670;&nbsp;</a></span>value</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename from , typename T1 , typename T2 , typename T3 , typename T4 , typename T5 , typename T6 , typename T7 , typename T8 , typename T9 , typename T10 , typename T11 , typename T12 , typename T13 , typename T14 , typename T15 , typename T16 , typename T17 , typename T18 , typename T19 , typename T20 &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const bool <a class="el" href="structdlib_1_1is__convertible.html">dlib::is_convertible</a>&lt; from, <a class="el" href="classdlib_1_1type__safe__union.html">type_safe_union</a>&lt; T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12, T13, T14, T15, T16, T17, T18, T19, T20 &gt; &gt;::value</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<b>Initial value:</b><div class="fragment"><div class="line">= is_convertible&lt;from,T1&gt;::value ||</div><div class="line">                                  is_convertible&lt;from,T2&gt;::value ||</div><div class="line">                                  is_convertible&lt;from,T3&gt;::value ||</div><div class="line">                                  is_convertible&lt;from,T4&gt;::value ||</div><div class="line">                                  is_convertible&lt;from,T5&gt;::value ||</div><div class="line">                                  is_convertible&lt;from,T6&gt;::value ||</div><div class="line">                                  is_convertible&lt;from,T7&gt;::value ||</div><div class="line">                                  is_convertible&lt;from,T8&gt;::value ||</div><div class="line">                                  is_convertible&lt;from,T9&gt;::value ||</div><div class="line">                                  is_convertible&lt;from,T10&gt;::value ||</div><div class="line">                                  is_convertible&lt;from,T11&gt;::value ||</div><div class="line">                                  is_convertible&lt;from,T12&gt;::value ||</div><div class="line">                                  is_convertible&lt;from,T13&gt;::value ||</div><div class="line">                                  is_convertible&lt;from,T14&gt;::value ||</div><div class="line">                                  is_convertible&lt;from,T15&gt;::value ||</div><div class="line">                                  is_convertible&lt;from,T16&gt;::value ||</div><div class="line">                                  is_convertible&lt;from,T17&gt;::value ||</div><div class="line">                                  is_convertible&lt;from,T18&gt;::value ||</div><div class="line">                                  is_convertible&lt;from,T19&gt;::value ||</div><div class="line">                                  is_convertible&lt;from,T20&gt;::value</div></div><!-- fragment -->
</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="type__safe__union__kernel_8h_source.html">type_safe_union_kernel.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
